org.apache.lucene.xmlparser

## Class ParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.lucene.xmlparser.ParserException

- All Implemented Interfaces:
    java.io.Serializable

      public class ParserException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserException()`
    `ParserException(java.lang.String message)`
    `ParserException(java.lang.String message, java.lang.Throwable cause)`
    `ParserException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserException

          public ParserException()

    - #### ParserException

          public ParserException(java.lang.String message)

      Parameters:
        `message` -

    - #### ParserException

          public ParserException(java.lang.String message,
                                 java.lang.Throwable cause)

      Parameters:
        `message` -
        `cause` -

    - #### ParserException

          public ParserException(java.lang.Throwable cause)

      Parameters:
        `cause` -

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.